{***************************************************************************}
{                        UNIDAD DE VIDEO BIOS SERVICES

                                  Copyright (c) 1998 Marco Antonio Alvarado
}
{***************************************************************************}

UNIT UVBS;

INTERFACE

  VAR
{Valores de modos:
  $00 = 40x25 B/W text (CGA,EGA,MCGA,VGA)
  $01 = 40x25 16 color text (CGA,EGA,MCGA,VGA)
  $02 = 80x25 16 shades of gray text (CGA,EGA,MCGA,VGA)
  $03 = 80x25 16 color text (CGA,EGA,MCGA,VGA)
  $04 = 320x200 4 color graphics (CGA,EGA,MCGA,VGA)
  $05 = 320x200 4 color graphics (CGA,EGA,MCGA,VGA)
  $06 = 640x200 B/W graphics (CGA,EGA,MCGA,VGA)
  $07 = 80x25 Monochrome text (MDA,HERC,EGA,VGA)
  $08 = 160x200 16 color graphics (PCjr)
  $09 = 320x200 16 color graphics (PCjr)
  $0A = 640x200 4 color graphics (PCjr)
  $0B = Reserved (EGA BIOS FUNCTION 11)
  $0C = Reserved (EGA BIOS FUNCTION 11)
  $0D = 320x200 16 color graphics (EGA,VGA)
  $0E = 640x200 16 color graphics (EGA,VGA)
  $0F = 640x350 Monochrome graphics (EGA,VGA)
  $10 = 640x350 16 color graphics (EGA or VGA with 128K)
      = 640x350 4 color graphics (64K EGA)
  $11 = 640x480 B/W graphics (MCGA,VGA)
  $12 = 640x480 16 color graphics (VGA)
  $13 = 320x200 256 color graphics (MCGA,VGA)}
    ModoActual : Byte ABSOLUTE $40:$49;

{Si el binario 7 es 1 entonces la pantalla no ser borrada.}
  PROCEDURE PoneModo (Modo : Byte);
  FUNCTION TomaFundicion : Pointer;

IMPLEMENTATION

  CONST
    InterrupcionVideo = $10;
    FuncionPoneModo = $00;

  PROCEDURE PoneModo (Modo : Byte); ASSEMBLER;
  ASM
    MOV AH, FuncionPoneModo
    MOV AL, Modo
    INT InterrupcionVideo
  END;

  FUNCTION TomaFundicion : Pointer; ASSEMBLER;
  ASM
    PUSH BP
    MOV BH, 3
    MOV AX, 1130h
    INT InterrupcionVideo
    MOV DX, ES
    MOV AX, BP
    POP BP
  END;

END.